<?php

namespace Modules\Contrat\Rules;

use Psr\Http\Message\ServerRequestInterface;

class Societe
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function modifierSociete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportSociete(): bool
    {
        return true;
    }
}
